Delete
curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/funds/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/funds/policy"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/funds/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Fund Policy
Delete
Delete the tenant’s fund policy. Refused while spend governance is enabled because enabled inference requires this row. Disable governance and drain in-flight leases before calling Delete.
DELETE
/
api
/
v1
/
funds
/
policy
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The FundPolicyServiceDeleteRequest message.
Response
200 - application/json
Successful response
The FundPolicyServiceDeleteResponse message.
Was this page helpful?